package com.example.shoesapptest.data

import com.example.shoesapptest.data.remote.auth.AuthApi
import com.example.shoesapptest.data.remote.dto.request.RegistrationRequest
import com.example.shoesapptest.data.remote.dto.response.RegistrationResponse
import kotlinx.coroutines.delay

class AuthRepository(private val api: AuthApi) {
    suspend fun registration(registrationRequest: RegistrationRequest): RegistrationResponse {
        delay(3000)
        return api.registration(registrationRequest)
    }
}