package com.example.shoesapptest.ui.screen.registrationscreen

import android.provider.ContactsContract.CommonDataKinds.Email
import com.example.shoesapptest.ui.screen.forgotscreen.ChangePass
import java.lang.Error

data class Registration(
    var email: String = "",
    var name: String = "",
    var password: String = "",
    var isVisiblePassword: Boolean = false,
    var errorMessage: String? = null,
    var isLoading: Boolean = false,
    var isSignedIn: Boolean = false,
    var emailHasError: Boolean = false
)
